← Tables

Scotland

Caledonia Region League Division 1

#TeamPWDLPDBPPtsForm
1Grangemouth Stags RFC5500+340525WWWWW
2Blairgowrie RFC4400+117420WWWW
3Howe Crusaders5203-6311WLLLW
4Alloa RFC3201+61210WWL
5Perthshire RFC4103-18804LLLW
6Hillfoots RFC3003-6811LLL
7Stirling County RFC2002-5310LL
8Dundee Rugby 2XV2002-20300LL

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.